var searchResultProvider = new SearchResultsProvider("", "Backburner");
searchResultProvider.setTopicInfoList(["",{"title":"Autodesk Backburner 2011 Help",
"href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm",
"description":"",
"ancestors":[]},
{"title":"Welcome to Backburner",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffe.htm",
"description":"Welcome to the Autodesk Backburner 2011 User Guide. Backburner is the Autodesk queue manager for background processing and distributed network processing. It allows multiple jobs, such as I/O operations, grading, composites, and animation scenes, to be processed by many computers working collectively on the same network. Backburner also provides the means to monitor and control the jobs you submit, as well as the tools for managing the Backburner network itself.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Intended Audience and Prerequisites",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-773b.htm",
"description":"This guide is for those responsible for monitoring, managing or maintaining the Backburner network. It is also for anyone interested in how Backburner processes jobs. Whatever your interests may be, familiarity with the following topics will be helpful:",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Welcome to Backburner","href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffe.htm"}]},
{"title":"Backburner Terminology",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffd.htm",
"description":"Familiarity with the following terminology will help you to understand this guide.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Packets, Buckets and Backburner",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7730.htm",
"description":"In other industry literature, the term packet is sometimes used to mean the number of frames sent to a render node for processing. A “packet” size of 5, for example, means 5 frames are sent to each available render node. In Backburner, the term packet retains its traditional meaning under TCP/IP. The blocks of tasks automatically sent to render nodes for processing are similar to what other software manufacturers call packets.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Backburner Terminology","href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffd.htm"}]},
{"title":"Backburner Architecture",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffc.htm",
"description":"Backburner consists of the Backburner Manager, Backburner Monitor, and Backburner Servers, as illustrated in the following diagram. These operate in the greater context of creative applications (such as Autodesk Visual Effects and Finishing applications) and processing engines (such as Burn).",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Backburner Manager",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7728.htm",
"description":"At the centre of Backburner is the Backburner Manager. It receives jobs from the client applications—such as Smoke, Flame, 3ds Max, or Maya—which it then distributes, as sets of tasks, to the render nodes on the network. The Backburner Manager maintains status information about its network of Backburner servers. It also maintains a database of submitted, active, and, depending on your settings, completed jobs.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Backburner Architecture","href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffc.htm"}]},
{"title":"Backburner Monitor",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7725.htm",
"description":"End-user and administrator interaction with the Backburner Manager is by way of the Backburner Monitor. It is used to monitor the progress of a job, suspend and restart jobs, and perform administrative tasks.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Backburner Architecture","href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffc.htm"}]},
{"title":"Render Nodes",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7720.htm",
"description":"Render nodes consist of a Backburner Server, adapters, and processing engines. The kinds of jobs a render node can process depend on the adapters and processing/rendering engines installed upon it. Autodesk Visual Effects and Finishing applications, including Smoke for Mac OS X, share the Burn rendering engine and Wire processing engine. Some Autodesk applications, such as 3ds Max, have their own rendering engine. Cleaner, also, provides its own rendering engine. For efficiency, you can group render nodes together in named groups, called server groups. Particular jobs can then be processed by the nodes in a named group only, leaving nodes outside the group free for other uses.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Backburner Architecture","href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffc.htm"}]},
{"title":"Command-Job Utility",
"href":"./files/WS1a9193826455f5ff-75c1f7c3124f51ccbd1ee6.htm",
"description":"The Backburner command-job utility, cmdjob, lets you submit batch, executable or script files to Backburner as \"custom\" jobs from the command line, for execution on render nodes. Two distinct command-job adapters are installed on the render nodes to handle the custom jobs. One adapter executes jobs as the root user. The other retains the account of the user that submitted the job. See .",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"What\'s New in Backburner 2011",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm",
"description":"This section presents new features and changes implemented in Backburner 2011.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Backburner on Mac OS X",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa88d.htm",
"description":"In previous releases, Backburner was deployable on both the Linux and Windows operating systems. With Backburner 2011, Backburner adds Mac OS X to its list of supported platforms. The Backburner Manager, Backburner Server, and Backburner cmdjob command-line utility are all included in the port, enabling Autodesk applications to leverage Backburner for render farms consisting of managers and render nodes on Mac workstations.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"New Backburner Web Monitor",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4116.htm",
"description":"This release of Backburner features a new version of the Backburner Web Monitor. The new Web Monitor is a full-featured, desktop-like application that runs entirely inside a web browser. It is an Adobe Flash Player compatible application that replaces the older html-based Backburner Web Monitor, which is no longer available as of this release. The new Backburner Web Monitor is available for Linux and Mac OS only.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"Support for Smoke 2010 for Mac OS X",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4114.htm",
"description":"Backburner is now leveraged by the new Autodesk Smoke for Mac OS X, in both standalone and render-farm deployments. In the standalone deployment, Smoke for Mac OS X uses Backburner for background I/O, including proxy generation. In the render farm deployment, Smoke for Mac OS X can submit jobs to a render farm consisting of Burn render nodes installed on Linux workstations.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"Support for Maya 2010 on Mac OS X",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4112.htm",
"description":"In the previous release, Maya leveraged Backburner for network rendering on Linux and Windows workstations. With Maya 2010 and Backburner 2011, network rendering is also supported on the Mac OS X platform. Network rendering allows animation scenes to be rendered by many computers working collectively on the same network.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"Support for 3ds Max 2011",
"href":"./files/WS73099cc142f487552b5ac6c412649166e6e-74d1.htm",
"description":"3ds Max users will now benefit from the improved reliability, stability and speed of the latest Backburner releases.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"New Command-Job Adapter",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa88f.htm",
"description":"The Backburner command-job utility, cmdjob, lets you submit batch, executable, or script files to Backburner as “custom” jobs from the command line, for execution on the render nodes. This release introduces a new command-job adapter, with the result that two distinct command-job adapters are now installed on the render nodes.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"Combustion Compatibility Break",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa891.htm",
"description":"With this release, Combustion network rendering using Backburner is no longer supported. Note, however, that Backburner is not needed for local rendering, nor for local encoding using Cleaner XL. The following table summarizes the role of Backburner in Combustion.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "What\'s New in Backburner 2011","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4118.htm"}]},
{"title":"Using the Help",
"href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm",
"description":"Autodesk provides complete application documentation in an accessible HTML help system that is displayed in a Web browser.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Searching the Help",
"href":"./files/WS1a9193826455f5ff5cf1d02511b1d00097838c4.htm",
"description":"Use the Search feature to find information in the Help. Your search yields better results if you are familiar with the Search feature and its options.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Using the Help","href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm"}]},
{"title":"Using the Contents",
"href":"./files/WS73099cc142f48755-4607e7cc11b1cfff57133a8.htm",
"description":"In the Contents, a book icon represents a topic with child topics.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Using the Help","href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm"}]},
{"title":"Using the Index",
"href":"./files/WS73099cc142f48755-4607e7cc11b1cfff57133a9.htm",
"description":"The index contains keyword entries with links to the topics where each entry is discussed.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Using the Help","href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm"}]},
{"title":"Using the Favorites",
"href":"./files/WS1a9193826455f5ff5cf1d02511b1d00097838d2.htm",
"description":"Use the Favorites page to store favorite topics for quick retrieval. While navigating through the Help pages, you can save a page to Favorites by clicking Add to Favorites at the top of the topic.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Using the Help","href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm"}]},
{"title":"About the Web Browser",
"href":"./files/WS1a9193826455f5ff5cf1d02511b1d00097838d4.htm",
"description":"The Help is best viewed using Firefox 2 or Internet Explorer 7. Javascript must be enabled.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"},{"title": "Using the Help","href":"./files/WS1a9193826455f5ff3d759520115fe00d527-7a93.htm"}]},
{"title":"Notation Conventions",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffb.htm",
"description":"A number of style conventions are used throughout this guide. These conventions and examples of their use are shown as follows.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Related Documentation",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ffa.htm",
"description":"This release has documentation that helps you install, configure, and use the software. For a list of all the documentation available to you, visit http://www.autodesk.com/me-documentation. From this page you can access the complete documentation library.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Contacting Customer Support",
"href":"./files/WSfc5bb05ff6a7c9ce2efe9cd8123e766ea85-7ff9.htm",
"description":"For contact information for Autodesk Media and Entertainment Customer Support, consult your release notes, or visit http://www.autodesk.com/support.",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Copyright Notice",
"href":"./files/disclaimer.htm",
"description":"Autodesk® Backburner™ 2011© 2010 Autodesk, Inc. All rights reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any met",
"ancestors":[{"title": "Autodesk Backburner 2011 Help","href":"./files/WS1a9193826455f5ff-29c43aa61173633f416-79c1.htm"}]},
{"title":"Getting Started",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm",
"description":"",
"ancestors":[]},
{"title":"Overview",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffe.htm",
"description":"As noted in the introduction, end-user and administrator interaction with the Backburner network is mainly by way of the Backburner Monitor. This is the means by which you carry out the daily tasks of observing and controlling jobs and managing render nodes. For jobs, it includes pausing, stopping and restarting, changing priorities, archiving and restoring, and so on. For render nodes it includes setting render node availability schedules and assigning particular render nodes to particular jobs. It also includes creating and managing server groups—named collections of render nodes that can assist in implementing a job processing strategy, for render farms serving more than one creative application.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"}]},
{"title":"Monitor Comparison",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffd.htm",
"description":"The following table summarizes the major differences between the monitors.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Overview","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffe.htm"}]},
{"title":"Before You Begin",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-784b.htm",
"description":"Please note the following general points:",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Overview","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffe.htm"}]},
{"title":"Backburner Windows Monitor",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-40a1.htm",
"description":"The feature-rich Backburner Windows Monitor can be launched from any Windows workstation on the network where it has been installed. It leverages the complete functionality of the Backburner Manager, and is well-suited for the adminstrator workstation of a larger render farm.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"}]},
{"title":"Obtaining Queue Control",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-4089.htm",
"description":"The Backburner Monitor enforces a simple queue control mechanism to avoid conflicting requests from different users of the Backburner Windows Monitor. The first monitor establishing a connection to the manager is automatically granted queue control, and can perform all job-related activities, including stopping, restarting, or deleting jobs. Subsequently, other monitors connect in read-only mode, allowing them to observe the activity on the Backburner network only.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Backburner Windows Monitor","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-40a1.htm"}]},
{"title":"Backburner Web Monitor",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffa.htm",
"description":"The Backburner Web Monitor is a desktop-like application that runs entirely inside a web browser. It provides similar functionality to the Windows-based Backburner Windows Monitor, but can be launched from any web browser with access to the Backburner network. For the user with administrator privileges, the available functionality is virtually identical to the Backburner Windows Monitor. For non-administrator users, most administration-level functionality is available, but only for jobs that they themselves submit.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"}]},
{"title":"Before You Begin",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7817.htm",
"description":"Before launching the Backburner Web Monitor, please note the following:",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Backburner Web Monitor","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffa.htm"}]},
{"title":"Required Privileges for Common Tasks",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-780f.htm",
"description":"The following table indicates the privilege level required for tasks related to jobs.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Backburner Web Monitor","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffa.htm"}]},
{"title":"Launching the Backburner Web Monitor",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-780a.htm",
"description":"To launch the Backburner Web Monitor:Open a web browser on a workstation that has access to the Backburner network.In the browser\'s address field, enter http://<machinename>/Backburner, where <machine",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"},{"title": "Backburner Web Monitor","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ffa.htm"}]},
{"title":"Working with Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ff8.htm",
"description":"Stated briefly, a job flows from creative application to processing engine as follows. The creative application—Smoke, 3ds Max, Lustre, etc.—submits the job to the Backburner Manager, which is then distributed as blocks of tasks to the Backburner Servers with the corresponding adapter installed, residing on the render nodes. The servers invoke the appropriate processing engine, which carries out its assigned tasks.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"}]},
{"title":"Working with Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-7ff6.htm",
"description":"Render nodes are responsible for processing the tasks assigned to them by the Backburner Manager. The monitors provide several tools for managing the Backburner network at the level of the render nodes. These are aimed at making the Backburner network and job processing more efficient. For example, you can easily speed up processing of a large job by assigning new render nodes to it.",
"ancestors":[{"title": "Getting Started","href":"./files/WSfc5bb05ff6a7c9ce2d1b5611123e766e8ef-8000.htm"}]},
{"title":"Backburner Windows Monitor Reference",
"href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm",
"description":"",
"ancestors":[]},
{"title":"Managing and Modifying Jobs – Windows",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm",
"description":"",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"}]},
{"title":"Overview",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-7682.htm",
"description":"The procedures in this chapter describe how to interact with jobs already submitted to Backburner for processing, using the Backburner Windows Monitor. For information on submitting jobs to Backburner from an Autodesk application, refer to the user guide for the application of interest.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Finding and Monitoring Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ffd.htm",
"description":"Basic monitoring allows you to view all the jobs submitted to Backburner, ensure jobs are being executed in the desired order, check the status of particular jobs, observe progress, etc. It is the starting point for all other interactions.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Customizing the Job List",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-766a.htm",
"description":"You can add, remove, and rearrange columns in the job list to suit your preferences and needs.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Suspending and Reactivating Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ffa.htm",
"description":"Suspending and reactivating jobs is commonly used to quickly improve job throughput and network efficiency. For example, you might suspend one job to temporarily assign its render nodes to another that is more urgent. Or, if a particular job is taking too long, you can suspend it until off-peak hours, allowing shorter jobs to complete in the meantime. Sometimes, a low-priority job can \'grab\' a processing node during the brief moment when it is between tasks—in such a case, suspending the low-priority job will return system resources to jobs with higher priorities.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Modifying Job Settings",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ff9.htm",
"description":"Modify a job\'s settings to customize its properties, specify email notifications, change render node (server) assignments, or to set job dependencies.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Restarting Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ff8.htm",
"description":"While the most common workflow is to suspend a job, change its settings, and then re-activate the job, restarting a job is another possibility. Re-activating a suspended job picks up processing from where it left off. That is, tasks already completed are not re-done. In contrast, restarting a job halts all processing for the job, clears the server of all job-related temporary files (including completed tasks), and restarts the job from its first task. It is identical to resubmitting the job from the creative application, without the need for that application to be running.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Cloning Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ff7.htm",
"description":"Cloning a job creates a 100% duplicate job that is independent of the original, but inherits all of its qualities, including its status and settings. Cloning is a convenient means for experimenting with changes to job settings or testing render nodes, since changes made to the clone do not affect the original. Note the following suggested uses and restrictions:",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Archiving Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ff6.htm",
"description":"Archiving conveniently removes completed jobs from the job queue. It is a practical means for keeping the job queue organized by reducing clutter. Its advantage over deleting completed jobs is in preserving all the information needed to re-submit the jobs at a later date. You can also restore an archived job simply to examine job details, such as the render nodes that processed it. This can assist in identifying problems—if unexpected or unsatisfactory results occurred, for example. Archiving can also be part of a facility backup strategy, since the archive represents a job history, in compact form. Note, however, that the job archive contains metadata (job details) only—it does not contain source material or rendered frames.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Deleting Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-7ff5.htm",
"description":"Deleting a job completely removes it from the job queue and Backburner system. It does not, however, destroy source material or rendered results.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing and Modifying Jobs – Windows","href":"./files/WSfc5bb05ff6a7c9ce6fe78ebf123e766ede0-8000.htm"}]},
{"title":"Managing Render Nodes – Windows",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm",
"description":"",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"}]},
{"title":"Overview",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ffe.htm",
"description":"The procedures in this chapter relate to managing the render farm at the level of its render nodes, using the Backburner Windows Monitor.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Monitoring Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ffd.htm",
"description":"Monitoring allows you to view the overall health of each render node on the Backburner network. Hardware details presented for each render node include the total RAM installed, and remaining disk space. Node status—available, unavailable, idle, busy, etc.—is also displayed, as well as details on any job the node is currently processing. Render nodes that have previously connected with the Backburner Manager, but are no longer seen by it, are easily identified, and can be removed, if desired.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Customizing the Render Node List",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ffc.htm",
"description":"Similarly to the Job list, you can add, remove, and rearrange columns in the render node list to suit your preferences and needs.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Shifting Nodes Between Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ffb.htm",
"description":"When a job is submitted by a creative application to Backburner for processing, the Backburner Manager automatically sends it as sub-jobs, called tasks, to render nodes for processing. Visual Effects and Finishing render tasks are sent to nodes on which Burn has been installed, 3ds Max tasks are sent to nodes equipped with 3ds Max, and so on. A task can consist of a single frame, a set of frames, or an entire clip, depending on the creative application and the nature of the work required.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Deleting Offline Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ffa.htm",
"description":"When a Backburner Server connects to the Backburner Manager for the first time, the manager records the server\'s presence on the Backburner network in its database. If the server subsequently fails to reconnect to the manager during a new session, or goes offline for any reason, the manager marks it as absent. Servers can go offline temporarily for any number of reasons: during a render node shutdown or reboot, network glitches, hardware updates, and so on. The next time the server comes online, it will simply re-connect to the manager and appear as available once again.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Setting Render Node Availability",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ff9.htm",
"description":"By default, nodes are always available for processing. However, you can easily limit render node availability in order to manage network resources. For some creative applications, such as 3ds Max and Maya, creative seats themselves can be set up as render nodes. In such cases, it can be helpful to limit rendering activity on those workstations to after hours.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Working with Server Groups",
"href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-7ff8.htm",
"description":"A server group is a named collection of render nodes that is treated, for the most part, as if it were a single node. By default, jobs are submitted by creative applications to the Backburner network as a whole. It is the Backburner Manager that determines the specific render nodes to which they are sent, based on job type and node availability. However, certain Autodesk applications can be configured to submit jobs to a specific server group.",
"ancestors":[{"title": "Backburner Windows Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7df6.htm"},{"title": "Managing Render Nodes – Windows","href":"./files/WSfc5bb05ff6a7c9ce53df8a42123e766f12c-8000.htm"}]},
{"title":"Backburner Web Monitor Reference",
"href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm",
"description":"",
"ancestors":[]},
{"title":"Managing and Modifying Jobs – Web",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm",
"description":"",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"}]},
{"title":"Overview",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ffe.htm",
"description":"The procedures in this chapter describe how to interact with jobs already submitted to Backburner for processing, using the Backburner Web Monitor. For information on submitting jobs to Backburner from an Autodesk application, refer to the user guide for the application of interest.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Finding and Monitoring Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ffd.htm",
"description":"Basic monitoring allows you to view all the jobs submitted to Backburner, ensure jobs are being executed in the desired order, check the status of particular jobs, observe progress, etc. It is the starting point for all other interactions.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Viewing Job Details and Job Tasks",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bc5.htm",
"description":"Double-clicking on a job name (or selecting a job and choosing Settings from the Action menu) opens the Job Details page where you can view additional information about a job, including its associated tasks, where the tasks have been sent for processing, and their status.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"General Info Tab",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bbe.htm",
"description":"The following table describes the information found in the General Info tab.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"},{"title": "Viewing Job Details and Job Tasks","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bc5.htm"}]},
{"title":"Tasks Tab",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bb3.htm",
"description":"The following table describes the information found in the Tasks tab.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"},{"title": "Viewing Job Details and Job Tasks","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bc5.htm"}]},
{"title":"Server Assignment Tab",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bb0.htm",
"description":"The Server Assignment tab allows you to view the servers assigned to the selected job. It also allows you to assign new servers or server groups to jobs (see ). A filtering mechanism allows you to limit the list of servers to those capable of handling the current job type only.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"},{"title": "Viewing Job Details and Job Tasks","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bc5.htm"}]},
{"title":"Advanced Info Tab",
"href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3ba3.htm",
"description":"The Advanced Info Tab presents the job metadata sent by the client application to Backburner. It is helpful when troubleshooting a job. In addition, some applications submit Backburner jobs with extended instructions for the processing engine. Use the Advanced Info tab to view these extended instructions.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"},{"title": "Viewing Job Details and Job Tasks","href":"./files/WS73099cc142f48755-575eab4c124f5234aa8-3bc5.htm"}]},
{"title":"Suspending and Reactivating Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ffc.htm",
"description":"Suspending and reactivating jobs is commonly used to quickly improve job throughput and network efficiency. For example, you might suspend one job to temporarily assign its render nodes to another that is more urgent. Or, if a particular job is taking too long, you can suspend it until off-peak hours, allowing shorter jobs to complete in the meantime. Sometimes, a low-priority job can \'grab\' a processing node during the brief moment when it is between tasks—in such a case, suspending the low-priority job will return system resources to jobs with higher priorities.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Restarting Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ffa.htm",
"description":"While the most common workflow is to suspend a job, change its settings, and then re-activate the job, restarting a job is another possibility. Re-activating a suspended job picks up processing from where it left off. That is, tasks already completed are not re-done. In contrast, restarting a job halts all processing for the job, clears the server of all job-related temporary files (including completed tasks), and restarts the job from its first task. It is identical to resubmitting the job from the creative application, without the need for that application to be running.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Archiving Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ff8.htm",
"description":"Archiving conveniently removes completed jobs from the job queue. It is a practical means for keeping the job queue organized by reducing clutter. Its advantage over deleting completed jobs is in preserving all the information needed to re-submit the jobs at a later date. You can also restore an archived job simply to examine job details, such as the render nodes that processed it. This can assist in identifying problems—if unexpected or unsatisfactory results occurred, for example. Archiving can also be part of a facility backup strategy, since the archive represents a job history, in compact form. Note, however, that the job archive contains metadata (job details) only—it does not contain source material or rendered frames.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Deleting Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-7ff7.htm",
"description":"Deleting a job completely removes it from the job queue and Backburner system. It does not, however, destroy source material or rendered results.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Setting Email Notifications for a Job",
"href":"./files/WS1a9193826455f5ff-75c1f7c3124f51ccbd1-39cf.htm",
"description":"The Backburner Manager can send job success, failure and other notifications to an email address you specify.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing and Modifying Jobs – Web","href":"./files/WSfc5bb05ff6a7c9ce-177dc1ab123e766ec3a-8000.htm"}]},
{"title":"Managing Render Nodes – Web",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm",
"description":"",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"}]},
{"title":"Overview",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ffe.htm",
"description":"The procedures in this chapter relate to managing the render farm at the level of its render nodes, using the Backburner Web Monitor.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Monitoring Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ffd.htm",
"description":"Monitoring allows you to view the overall health of each render node on the Backburner network. Node status—idle, busy, etc.—is also displayed, as well as details on any job the node is currently processing. Render nodes that have previously connected with the Backburner Manager, but are no longer seen by it, are easily identified, and can be removed, if desired.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Shifting Nodes Between Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ffb.htm",
"description":"When a job is submitted by a creative application to Backburner for processing, the Backburner Manager automatically sends it as sub-jobs, called tasks, to render nodes for processing. Visual Effects and Finishing render tasks are sent to nodes on which Burn has been installed, 3ds Max tasks are sent to nodes equipped with 3ds Max, and so on. A task can consist of a single frame, a set of frames, or an entire clip, depending on the creative application and the nature of the work required.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Deleting Offline Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ffa.htm",
"description":"When a Backburner Server connects to the Backburner Manager for the first time, the manager records the server\'s presence on the Backburner network in its database. If the server subsequently fails to reconnect to the manager during a new session, or goes offline for any reason, the manager marks it as absent. Servers can go offline temporarily for any number of reasons: during a render node shutdown or reboot, network glitches, hardware updates, and so on. The next time the server comes online, it will simply re-connect to the manager and appear as available once again.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Setting Render Node Availability",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ff9.htm",
"description":"By default, nodes are always available for processing. However, you can easily limit render node availability in order to manage network resources. For some creative applications, such as 3ds Max and Maya, creative seats themselves can be set up as render nodes. In such cases, it can be helpful to limit rendering activity on those workstations to after hours.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Working with Server Groups",
"href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-7ff8.htm",
"description":"A server group is a named collection of render nodes that is treated, for the most part, as if it were a single node. By default, jobs are submitted by creative applications to the Backburner network as a whole. It is the Backburner Manager that determines the specific render nodes to which they are sent, based on job type and node availability. However, certain Autodesk applications can be configured to submit jobs to a specific server group.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Modifying Manager Settings",
"href":"./files/WS1a9193826455f5ff-75c1f7c3124f51ccbd1-1412.htm",
"description":"The Manager tab contains a number of items for setting Backburner Manager behaviour relating to job processing. This includes setting what information is logged, the maximum number of jobs permitted on the network, how many times the manager will resend a job to the same server, and what happens to jobs once they are completed.",
"ancestors":[{"title": "Backburner Web Monitor Reference","href":"./files/WS73099cc142f48755-6aae5668123e144a987-7dee.htm"},{"title": "Managing Render Nodes – Web","href":"./files/WSfc5bb05ff6a7c9ce349b41c9123e766ef86-8000.htm"}]},
{"title":"Additional Windows Interfaces",
"href":"./files/WSfc5bb05ff6a7c9ce-1b1a0bc5123e766e574-8000.htm",
"description":"",
"ancestors":[]},
{"title":"Overview",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-73ac.htm",
"description":"The Backburner Monitor described throughout this guide is often the only “visible” component of Backburner—that is, the only component with a GUI. In a Windows installation, the Backburner Manager and Backburner Server can also have GUIs. If these have been configured to run as Windows services, they run unobtrusively in the background—no GUIs are displayed. However, if these run as regular applications, they will be visible. This chapter provides an overview of each GUI.",
"ancestors":[{"title": "Additional Windows Interfaces","href":"./files/WSfc5bb05ff6a7c9ce-1b1a0bc5123e766e574-8000.htm"}]},
{"title":"Backburner Manager – Windows",
"href":"./files/WSfc5bb05ff6a7c9ce-1b1a0bc5123e766e574-7ffd.htm",
"description":"The following illustration identifies the Backburner Manager GUI.",
"ancestors":[{"title": "Additional Windows Interfaces","href":"./files/WSfc5bb05ff6a7c9ce-1b1a0bc5123e766e574-8000.htm"}]},
{"title":"Backburner Server – Windows",
"href":"./files/WS1a9193826455f5ff-316fd70e123dece8002-73a4.htm",
"description":"The following illustration identifies the Backburner Server GUI.",
"ancestors":[{"title": "Additional Windows Interfaces","href":"./files/WSfc5bb05ff6a7c9ce-1b1a0bc5123e766e574-8000.htm"}]},
{"title":"Advanced Operations",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm",
"description":"",
"ancestors":[]},
{"title":"Submitting Jobs from a Command Line or Script",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffe.htm",
"description":"Use the Backburner command-job utility, cmdjob, to submit batch, executable, or script files to Backburner as “custom” jobs for execution on remote servers. This tool provides flexibility in running custom jobs from scripts. For example, you could create a script that submits all jobs contained in a network folder to be rendered automatically at night.",
"ancestors":[{"title": "Advanced Operations","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm"}]},
{"title":"Using the cmdjob Utility",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffc.htm",
"description":"Use the following procedure to submit jobs to Backburner using the cmdjob utility.",
"ancestors":[{"title": "Advanced Operations","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm"},{"title": "Submitting Jobs from a Command Line or Script","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffe.htm"}]},
{"title":"Options for the cmdjob Utility",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffb.htm",
"description":"This section describes the options you can use with the cmdjob command.",
"ancestors":[{"title": "Advanced Operations","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm"},{"title": "Submitting Jobs from a Command Line or Script","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffe.htm"}]},
{"title":"Parameters for the cmdjob Utility",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffa.htm",
"description":"This section describes the options you can use with the cmdjob command.",
"ancestors":[{"title": "Advanced Operations","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm"},{"title": "Submitting Jobs from a Command Line or Script","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffe.htm"}]},
{"title":"Tokens for the cmdjob Utility",
"href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ff9.htm",
"description":"A token is a reference to a value that can vary. It is evaluated on the server assigned to the job at the time the cmdjob utility executes. You cannot nest tokens within tokens.",
"ancestors":[{"title": "Advanced Operations","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-8000.htm"},{"title": "Submitting Jobs from a Command Line or Script","href":"./files/WSfc5bb05ff6a7c9ce-7bbe1658123e766e768-7ffe.htm"}]},
{"title":"Troubleshooting Backburner",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm",
"description":"",
"ancestors":[]},
{"title":"Basic Troubleshooting Techniques",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffe.htm",
"description":"Troubleshooting problems on a Backburner network can be difficult because of the different hardware and software platforms that a Backburner network may cover. If you experience problems, start by checking the following issues first:",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Common Problems",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffd.htm",
"description":"This section describes common problems in a Backburner network that uses Linux or Windows render nodes, and provides suggestions on how to solve these problems. For additional help with problems on a Backburner network using Burn render nodes, see the Autodesk Burn Installation and User Guide.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Problems on Startup",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffc.htm",
"description":"These problems can occur when you start Backburner Manager or Backburner Server on Linux or Windows systems.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"},{"title": "Common Problems","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffd.htm"}]},
{"title":"Problems Submitting Jobs",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffb.htm",
"description":"These problems can occur when you attempt to submit a job to the Backburner network on Linux or Windows systems.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"},{"title": "Common Problems","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffd.htm"}]},
{"title":"Problems with Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffa.htm",
"description":"These problems can occur with a render node or the jobs sent to it on Linux or Windows systems.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"},{"title": "Common Problems","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ffd.htm"}]},
{"title":"Verifying Communication Between Two Hosts",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff9.htm",
"description":"Use the ping command to test communication between hosts, for example between a render node and a Backburner Manager on Linux or Windows systems.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Verifying the Packet Size",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff8.htm",
"description":"You can use the ping command to determine the packet size a host can accept on Linux or Windows systems.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Configuring Backburner Log Files",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff7.htm",
"description":"Both Backburner Manager and Backburner Server maintain log files. The information in these log files can be useful when you are troubleshooting problems with the Backburner network. For example, you can consult the files to determine when the Backburner Manager or Server was started, when Backburner Servers on a network were shut down, and whether any errors occurred that halted the rendering of a job.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Specifying Backburner Log File Contents",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff6.htm",
"description":"The information and type of events that can appear in the Backburner Manager or Server, or be written to their log files, are defined as follows.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"},{"title": "Configuring Backburner Log Files","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff7.htm"}]},
{"title":"Editing the Backburner.xml File",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff5.htm",
"description":"When you run the Backburner Manager or Server, the application creates or updates the backburner.xml file in the Network directory under the Backburner installation directory. View or edit this file only if you have isolated a particular workstation as the cause of problems experienced on the Backburner network.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving a Host Access Error",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff4.htm",
"description":"The common causes of a host access error in Linux or Windows installations are an incorrect IP address for the Backburner Manager, incorrect port numbers for the Manager and/or Server, or incorrectly configured TCP/IP information. You can troubleshoot the error by examining each of these in turn.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving Invalid DNS Addresses",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff3.htm",
"description":"An invalid Domain Name Server (DNS) address in the DNS Search Order, or in the Primary or Secondary WINS Server in the Microsoft Windows TCP/IP dialog, causes an Error registering <server name> error when you start Backburner Manager or Server. The following procedure describes how to resolve invalid IP addresses for the Domain Name Server.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving a Problem Connecting to the Backburner Manager",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff2.htm",
"description":"The Backburner Manager, on Linux or Windows systems, is the link between the Render Clients who submit jobs and the render nodes that process these jobs. If the Backburner Manager is not available, jobs cannot be submitted to or processed by Backburner. Not being able to connect to the Backburner Manager causes problems for both Render Clients and nodes, but Render Clients usually discover the problem. For example, if you submit a job while the Manager is down, an error appears in your application.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Adding the Backburner Path to the Windows Path Environment Variable",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff1.htm",
"description":"Environment variables are file paths that help Microsoft Windows find and launch applications such as Backburner Server. If the path to Backburner is missing or incorrectly defined, Windows is not able to launch Backburner Server or the application associated with the job. When this happens, the following errors may appear in the following applications:",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving Network Card Priority",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7ff0.htm",
"description":"If you have multiple network cards in your Linux or Windows render node, by default, Backburner Server uses the IP address of the first network card that it finds to identify itself to the Backburner Manager. This may lead to problems if this is the wrong card. You can force Backburner Server to use a specific network card. The following procedure describes how.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving an Unavailable Render Node Problem",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7fef.htm",
"description":"The most common reasons, in a Linux or Windows system, that a render node appears unavailable are that the workstation is offline, the Backburner Server is not running or is hung, the Server is not using the correct IP address for the Manager, or the Manager cannot communicate with the Server.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Restarting Suspended Render Nodes",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7fee.htm",
"description":"If the Backburner Monitor or the Backburner Web Monitor indicates that a render node assigned to a job is suspended even if its job is being processed, do the following to determine why the render node is suspended and, if necessary, to restart it.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Resolving a Render Node Failure",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7fed.htm",
"description":"The following list shows possible causes to verify in the case of a render node failure. Most of these are logged in the backburnerServer.log file, if you have configured the log file to include fatal errors. Consulting this log file may help you determine the reason for the render node failure.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
{"title":"Adjusting the Maximum Number of Render Nodes Per Job",
"href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-7fec.htm",
"description":"When the maximum number of render nodes per job is reached, no additional render nodes can be assigned to a job, even if render nodes are available. You can remedy this problem by adjusting the settings for the Maximum Concurrent Assignments and Maximum Servers per Job in Backburner Manager. You can do this by editing the backburner.xml file. Additionally, on Windows systems you can use the Backburner Manager General Properties dialog.",
"ancestors":[{"title": "Troubleshooting Backburner","href":"./files/WSfc5bb05ff6a7c9ce84ea612123e766f2e2-8000.htm"}]},
]);
top.HlpSys.search.data.registerSearchProvider(searchResultProvider);